Subject: Re: [PATCH v3 1/2] git-p4: add test case for "Translation of file content failed" error

From: Torsten Bögershausen <[email-masked]>
Date: Mon, 21 Sep 2015 11:14:49 +0200

On 09/21/2015 11:05 AM, Lars Schneider wrote:
> I tried it on OS X 10.9.5 and on Ubuntu Linux 14.04.1 (sed version 4.2.2).
>
> The “-i” option is mentioned in the GNU sed docs here:
> https://www.gnu.org/software/sed/manual/sed.html
>
> The OS X sed man page indeed lists “-i” as non-standard option:
> https://developer.apple.com/library/mac/documentation/Darwin/Reference/ManPages/man1/sed.1.html
>
> What OS/sed version are you using?
>
> Thanks,
> Lars
>
>
sed -i is not portable.
(I think I missed that in the review :-()

The gnu version of sed supports "-i", but the POSIX doesn't:
<http://pubs.opengroup.org/onlinepubs/007904975/utilities/sed.html>